<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('shop_codes', function (Blueprint $table) {
            $table->string('pack_code', 20)->comment("包装码")->after('code');
            $table->string('pack_number', 20)->comment("包装编号")->after("number");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('shop_codes', function (Blueprint $table) {
            $table->dropColumn(['pack_code', 'pack_number']);
        });
    }
};
